#!/bin/bash -u

#
#	WARNING: Do Not Remove This Section
#
#	$RCSfile: pf.sh,v $
#	$Revision: 1.5 $
#	$Date: 2008/06/11 10:51:37 $
#	$Author: i.zapreev $
#	
#	MRMC is a model checker for discrete-time and continuous-time Markov reward models.
#	It supports reward extensions of PCTL and CSL (PRCTL and CSRL), and allows for the
#	automated verification of properties concerning long-run and instantaneous rewards
#	as well as cumulative rewards.
#	
#	Copyright (C) The University of Twente, 2004-2006.
#	Authors: Ivan Zapreev
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#	Our contacts:
#		Formal Methods and Tools Group, University of Twente,
#		P.O. Box 217, 7500 AE Enschede, The Netherlands,
#		Phone: +31 53 4893767, Fax: +31 53 4893247,
#		E-mail: mrmc@cs.utwente.nl
#
#	Source description: Compare two files in an IF statement, checking the return status of DIFF.
#		We are interested in is the exit status of DIFF.
#

cat $1.golden | sed -f ${TEST_SUITE_ROOT_PATH}/sed.rules > $1.golden.tmp
cat $1.out | sed -f ${TEST_SUITE_ROOT_PATH}/sed.rules > $1.out.tmp

#Print the proper number of dots
TEST_NAME_LENGTH=${#1}
let "NUMBER_OF_DOTS = ${MAX_RESULT_LENGTH} - ${TEST_NAME_LENGTH}"
for (( i=1 ; i <= ${NUMBER_OF_DOTS} ; i++ )) ; do
	echo -n "."
done

#Print the test PASS/FAIL result
if diff $1.golden.tmp $1.out.tmp > $1.diff ; then
	echo "PASS"
	rm -f $1.out $1.diff
else
	echo "FAIL"
fi
rm -f $1.golden.tmp $1.out.tmp

