/**
*	WARNING: Do Not Remove This Section
*
*	$RCSfile: test_fg.c,v $
*	$Revision: 1.5 $
*	$Date: 2007/11/29 10:58:45 $
*	$Author: i.zapreev $
*	
*	MRMC is a model checker for discrete-time and continuous-time Markov
*	reward models. It supports reward extensions of PCTL and CSL (PRCTL 
*	and CSRL), and allows for the automated verification of properties
*	concerning long-run and instantaneous rewards as well as cumulative
*	rewards.
*	
* 	Copyright (C) The University of Twente, 2004-2008.
* 	Copyright (C) RWTH Aachen, 2008-2009.
*	Authors: Joost-Pieter Katoen, Maneesh Khattri, Ivan Zapreev, Tim Kemna
*
*	This program is free software; you can redistribute it and/or
*	modify it under the terms of the GNU General Public License
*	as published by the Free Software Foundation; either version 2
*	of the License, or (at your option) any later version.
*
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program; if not, write to the Free Software
*	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*
*	Main contact:
*		Lehrstuhl für Informatik 2, RWTH Aachen University
*		Ahornstrasse 55, 52074 Aachen, Germany
*		E-mail: info@mrmc-tool.org
*	
*	Old ontact:
*		Formal Methods and Tools Group, University of Twente,
*		P.O. Box 217, 7500 AE Enschede, The Netherlands,
*		Phone: +31 53 4893767, Fax: +31 53 4893247,
*		E-mail: mrmc@cs.utwente.nl
*
*	Source description: Does some testing of the Fox-Glynn algorithm.
*/ 

#include <stdio.h>
#include "foxglynn.h"

int main()
{
	int i, size;
	FoxGlynn * pFG;
	if( fox_glynn(400, 1e-7, 100, 1e-6, &pFG) )
	{
		printf("l:%d, r:%d\n", pFG->left, pFG->right);
		size = pFG->right - pFG->left;
		for(i=0;i<=size;i++)
			printf("w[%d]=%e\n",i+pFG->left,pFG->weights[i]);
	}
	freeFG(pFG);
	
	return 0;
}
