/**
*	WARNING: Do Not Remove This Section
*
*	$RCSfile: test_kj.c,v $
*	$Revision: 1.5 $
*	$Date: 2007/11/29 10:58:45 $
*	$Author: i.zapreev $
*	
*	MRMC is a model checker for discrete-time and continuous-time Markov
*	reward models. It supports reward extensions of PCTL and CSL (PRCTL 
*	and CSRL), and allows for the automated verification of properties
*	concerning long-run and instantaneous rewards as well as cumulative
*	rewards.
*	
* 	Copyright (C) The University of Twente, 2004-2008.
* 	Copyright (C) RWTH Aachen, 2008-2009.
*	Authors: Joost-Pieter Katoen, Maneesh Khattri, Ivan Zapreev, Tim Kemna
*
*	This program is free software; you can redistribute it and/or
*	modify it under the terms of the GNU General Public License
*	as published by the Free Software Foundation; either version 2
*	of the License, or (at your option) any later version.
*
*	This program is distributed in the hope that it will be useful,
*	but WITHOUT ANY WARRANTY; without even the implied warranty of
*	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*	GNU General Public License for more details.
*
*	You should have received a copy of the GNU General Public License
*	along with this program; if not, write to the Free Software
*	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*
*	Main contact:
*		Lehrstuhl für Informatik 2, RWTH Aachen University
*		Ahornstrasse 55, 52074 Aachen, Germany
*		E-mail: info@mrmc-tool.org
*	
*	Old ontact:
*		Formal Methods and Tools Group, University of Twente,
*		P.O. Box 217, 7500 AE Enschede, The Netherlands,
*		Phone: +31 53 4893767, Fax: +31 53 4893247,
*		E-mail: mrmc@cs.utwente.nl
*
*	Source description: Tests the k/j storage
*/

# include <stdio.h>
#include "kjstorage.h"

int main()
{
	int ndsr = 5;
	int k[]={1,2,3,4,5};
	kjstruc *kj = get_new_kjstruc(ndsr);
	add_new_kjnode(kj, k, 1, 1);
	add_new_kjnode(kj, k, 2, 1);
	add_new_kjnode(kj, k, 1, 2);
	k[0]=6;k[1]=7;k[2]=8;k[3]=9;k[4]=10;
	add_new_kjnode(kj, k, 1, 2);
	k[4] = 5;
	add_new_kjnode(kj, k, 1, 2);
	print_kjstorage(kj);
	free_kjstorage(kj);

	kj= get_new_kjstruc(ndsr);
	add_new_kjnode(kj, k, 1, 2);
	add_new_kjnode(kj, k, 1, 2);
	print_kjstorage(kj);
	free_kjstorage(kj);
	
	return 0;
}

