#!/bin/bash -u

#
#	WARNING: Do Not Remove This Section
#
#	$RCSfile: local.statistics.sh,v $
#	$Revision: 1.5 $
#	$Date: 2007/12/01 17:39:08 $
#	$Author: i.zapreev $
#	
#	MRMC is a model checker for discrete-time and continuous-time Markov reward models.
#	It supports reward extensions of PCTL and CSL (PRCTL and CSRL), and allows for the
#	automated verification of properties concerning long-run and instantaneous rewards
#	as well as cumulative rewards.
#	
#	Copyright (C) The University of Twente, 2004-2006.
#	Authors: Ivan Zapreev
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#	Our contacts:
#		Formal Methods and Tools Group, University of Twente,
#		P.O. Box 217, 7500 AE Enschede, The Netherlands,
#		Phone: +31 53 4893767, Fax: +31 53 4893247,
#		E-mail: mrmc@cs.utwente.nl
#
#	Source description: This script is usefull if we want to run statistics scripts locally
#	NOTE: the only parameter is the test subsuite name, like: wscl, rme, ...
#	NOTE: THIS SCRIPT IS SUPPOSED TO BE CALLED FROM THE TEST SUBSUITE DIRECTORY,
#	SO ALL PATHS ARE RELATIVE HERE!
#

#Source the global test configuration file, for instance it defines the
#time units for the gnuplot script and etc.
# @param ${1} The test subsuite name, for example for
#			test/performance_tests/lumping/ctmc_lumping/ptp
#		it should be 'ptp'
# @param ${2} either 'performance' or 'memory'. The list may be extended,
# see statistics.sh for more details

source ../../../../settings.cfg

export TEST_SUBSUITE_NAME=${1}

PWD=`eval pwd`
export PERFORMANCE_SED_SCRIPTS=${PWD}/../../../scripts/sed/
export PERFORMANCE_AWK_SCRIPTS=${PWD}/../../../scripts/awk/
export LUMPING_SHELL_SCRIPTS=${PWD}/../../scripts/shell/
export LUMPING_AWK_SCRIPTS=${PWD}/../../scripts/awk/

../../scripts/shell/statistics.sh test_list input_list ${2}
