#!/bin/bash -u

#
#	WARNING: Do Not Remove This Section
#
#	$RCSfile: mrmc.extract.timestat.sh,v $
#	$Revision: 1.1 $
#	$Date: 2008/06/09 09:29:57 $
#	$Author: i.zapreev $
#	
#	MRMC is a model checker for discrete-time and continuous-time Markov reward models.
#	It supports reward extensions of PCTL and CSL (PRCTL and CSRL), and allows for the
#	automated verification of properties concerning long-run and instantaneous rewards
#	as well as cumulative rewards.
#	
#	Copyright (C) The University of Twente, 2004-2008.
#	Authors: Ivan Zapreev
#
#	This program is free software; you can redistribute it and/or
#	modify it under the terms of the GNU General Public License
#	as published by the Free Software Foundation; either version 2
#	of the License, or (at your option) any later version.
#
#	This program is distributed in the hope that it will be useful,
#	but WITHOUT ANY WARRANTY; without even the implied warranty of
#	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#	GNU General Public License for more details.
#
#	You should have received a copy of the GNU General Public License
#	along with this program; if not, write to the Free Software
#	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#
#	Our contacts:
#		Formal Methods and Tools Group, University of Twente,
#		P.O. Box 217, 7500 AE Enschede, The Netherlands,
#		Phone: +31 53 4893767, Fax: +31 53 4893247,
#		E-mail: mrmc@cs.utwente.nl
#
#	Source description: This script is responcible for extracting the time statistics from
#	the MRMC output preprocessed with the ../sed/mrmc.main.rules rules.
#

#MRMC reports model-checking time in milliseconds so we just extract it
cat ${TEST_CASE_NAME}.output | sed -f ${SIMULATIONS_SED_SCRIPTS}/${CURR_TOOL_NAME}.time.rules >> ${INPUT_STAT_DIR_NAME}/${TEST_CASE_NAME}.timestat

